Groovy 1.7.0

## groovy.sql
Class SqlOrderByVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          groovy.sql.SqlOrderByVisitor

    class SqlOrderByVisitor
    extends CodeVisitorSupport

author:
  Paul King

version:
  $Revision: 6714 $

Constructor Summary
`SqlOrderByVisitor()`

Method Summary
`String` | `getOrderBy()`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitReturnStatement(ReturnStatement statement)`

Methods inherited from class CodeVisitorSupport

visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SqlOrderByVisitor

    SqlOrderByVisitor()

Method Detail

### getOrderBy

    public String getOrderBy()

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

Copyright © 2003-2009 The Codehaus. All rights reserved.